broken clamav

Issues related to applications and software problems and general support
Post Reply
lightman47
Posts: 1160
Joined: 2014/05/21 20:16:00
Location: Central New York, USA

broken clamav

Post by lightman47 » 2020/05/13 11:27:50

I tried to dnf update 2 machines and got this from both:

Code: Select all

Error: 
 Problem 1: cannot install the best update candidate for package clamav-lib-0.102.2-4.epel8.playground.x86_64
  - nothing provides libprelude.so.28()(64bit) needed by clamav-lib-0.102.2-9.epel8.playground.x86_64
 Problem 2: cannot install the best update candidate for package clamav-update-0.102.2-4.epel8.playground.x86_64
  - nothing provides libprelude.so.28()(64bit) needed by clamav-update-0.102.2-9.epel8.playground.x86_64
 Problem 3: package clamav-0.102.2-9.epel8.playground.x86_64 requires clamav-lib = 0.102.2-9.epel8.playground, but none of the providers can be installed
  - cannot install the best update candidate for package clamav-0.102.2-4.epel8.playground.x86_64
  - nothing provides libprelude.so.28()(64bit) needed by clamav-lib-0.102.2-9.epel8.playground.x86_64
 Problem 4: package clamav-update-0.102.2-4.epel8.playground.x86_64 requires clamav-filesystem = 0.102.2-4.epel8.playground, but none of the providers can be installed
  - cannot install both clamav-filesystem-0.102.2-9.epel8.playground.noarch and clamav-filesystem-0.102.2-4.epel8.playground.noarch
  - problem with installed package clamav-update-0.102.2-4.epel8.playground.x86_64
  - cannot install the best update candidate for package clamav-filesystem-0.102.2-4.epel8.playground.noarch
  - nothing provides libprelude.so.28()(64bit) needed by clamav-update-0.102.2-9.epel8.playground.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
I have removed clamav*.* - I guess I should just wait a while before I try to install again?
Remember - importing/building packages will likely "byte you in the butt" come update time, long after you'd forgotten you did that! Use repos whenever possible.

Post Reply

Return to “CentOS 8 - General Support”